<!-- Card deck -->
<div class="card-deck">

  <!-- Card -->
  <div class="card mb-3" [ngClass]="{'cardHeightFixed':isCardHeightFixed === true}">

<!-- <span class="linkBtn showLinkAlertPopupBtn" (click)="linkBtnClicked()" *ngIf="showLinkBtn" data-toggle="tooltip" data-placement="left" title="Link Asset"><i class="fa fa-link" aria-hidden="true"></i></span> -->
    <div *ngIf="showStatusOnAssetCard">
      <div class="workingStatus" [ngClass]="assetData.running ? 'success' : 'fail'"></div>
    </div>

    <!--Card content-->
    <div *ngIf="isCardClickable" class="card-body" data-toggle="modal" data-target="#sidebar-right" data-backdrop="static" data-keyboard="false"
         (mouseover)="hover=true" (mouseleave)="hover=false" [ngStyle]="{'box-shadow': hover==true  ? getBoxShadowForCard(assetData) : '' }"
         (click)="editAssetDetails()">

      <app-asset-linked-count [assetLinkedDetails]="assetLinkedDetails"></app-asset-linked-count>

      <h4 class="card-title uppercase" *ngIf="assetData.assetType">{{assetLabel}}</h4>
      <h4 class="card-title uppercase" *ngIf="assetData.serviceType">{{serviceLabel}}</h4>
      <app-generic-card [assetData]="assetData" [resetFormData]="resetFormData" [assetConfigDetails]="assetConfigDetails"
                        [config]="config"></app-generic-card>

      <span *ngIf="assetData.stats">
        <app-server-details-card [assetData]="assetData"></app-server-details-card>
      </span>
      <app-group-badge *ngIf="showGroupBtn" [assetDataGroups]="assetData.groups"></app-group-badge>

    </div>

    <div *ngIf="!isCardClickable" class="card-body" (click)="selectedAssetsForLinking()" matTooltip="{{isLinkable ? 'click to select and link asset' : ''}}" matTooltipPosition="after"
         [ngClass]="{'card-embossed': embossedFlag}">
      <span class="closeBtn showdDelinkAlertPopupBtn"  (click)="closeBtnClicked()"
            *ngIf="showCloseBtn && !isAssetDetailsInReadMode" data-toggle="tooltip" data-placement="left" matTooltip="Delink asset" matTooltipPosition="before">
        <i class="fa fa-unlink close-icon" aria-hidden="true"></i></span>

      <span class="closeBtn showdDelinkServicePopupBtn"  (click)="delinkServiceBtnClicked()"
            *ngIf="showDelinkServiceBtn && !isAssetDetailsInReadMode" data-toggle="tooltip" data-placement="left" matTooltip="Delink service" matTooltipPosition="before">
        <i class="fa fa-unlink close-icon" aria-hidden="true"></i></span>
      <app-asset-linked-count [assetLinkedDetails]="assetLinkedDetails"></app-asset-linked-count>

      <h4 class="card-title uppercase" *ngIf="assetData.assetType">{{assetLabel}}</h4>
      <h4 class="card-title uppercase" *ngIf="assetData.serviceType">{{serviceLabel}}</h4>
      <app-generic-card [assetData]="assetData" [resetFormData]="resetFormData" [assetConfigDetails]="assetConfigDetails"
                        [config]="config"></app-generic-card>
      <app-group-badge *ngIf="showGroupBtn"  [assetDataGroups]="assetData.groups"></app-group-badge>
    </div>

  </div>
  <!-- Card -->

</div>
<!-- Card deck -->


